Subject: Re: [PATCH -rt] Fix initialization of spinlock in irttp_dup()

From: Ingo Molnar <[email-masked]>
Date: Wed, 21 Mar 2007 08:11:13 +0100

* Deepak Saxena <[email-masked]> wrote:

> This was found around the 2.6.10 timeframe when testing with the -rt 
> patch and I believe is still is an issue. irttp_dup() does a memcpy() 
> of the tsap_cb structure causing the spinlock protecting various 
> fields in the structure to be duped.  This works OK in the non-RT case 
> but in the RT case we end up with two mutexes pointing to the same 
> wait_list and leading to an OOPS. Fix is to simply initialize the 
> spinlock after the memcpy().

note that memcpy based lock initialization is a problem for lockdep too.

	Ingo